com.io7m.smfj.parser.api

## Interface SMFParserProviderType

- All Known Implementing Classes:
    SMFFormatBinary, SMFFormatOBJ, SMFFormatText

      public interface SMFParserProviderType

  The type of parser providers.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `SMFParserRandomAccessType` | `parserCreateRandomAccess(SMFParserEventsType events, URI uri, FileChannel file)`
    `SMFParserSequentialType` | `parserCreateSequential(SMFParserEventsType events, URI uri, InputStream stream)`
    `SMFFormatDescription` | `parserFormat()`
    `javaslang.collection.SortedSet<SMFFormatVersion>` | `parserSupportedVersions()`

- - ### Method Detail

    - #### parserFormat

          SMFFormatDescription parserFormat()

      Returns:
        The format that this provider supports

    - #### parserSupportedVersions

          javaslang.collection.SortedSet<SMFFormatVersion> parserSupportedVersions()

      Returns:
        The supported versions of the format

    - #### parserCreateSequential

          SMFParserSequentialType parserCreateSequential(SMFParserEventsType events,
                                                         URI uri,
                                                         InputStream stream)
                                                  throws UnsupportedOperationException

      Parameters:
        `events` - The event receiver
        `uri` - The URI referred to by the input stream, for diagnostic messages
        `stream` - An input stream
      Returns:
        A new parser for the format
      Throws:
        `UnsupportedOperationException` - If sequential parsing is not supported
      See Also:
        `SMFFormatDescription.randomAccess()`

    - #### parserCreateRandomAccess

          SMFParserRandomAccessType parserCreateRandomAccess(SMFParserEventsType events,
                                                             URI uri,
                                                             FileChannel file)
                                                      throws UnsupportedOperationException

      Parameters:
        `events` - The event receiver
        `uri` - The URI referred to by the input stream, for diagnostic messages
        `file` - A file channel
      Returns:
        A new parser for the format
      Throws:
        `UnsupportedOperationException` - If random-access parsing is not supported
      See Also:
        `SMFFormatDescription.randomAccess()`

Copyright © 2017 <code@io7m.com> http://io7m.com